% Solve the problem 
%      min \beta ||Z - S||_F^2 + |Z|_1

function Tp = Solve_OneNorm(Sp, beta, gamma)

Tp1 = Sp - 0.5 * gamma / beta; 
Tp1( Tp1 <= 0.5 * gamma / beta ) = 0;

Tp2 = Sp + 0.5 * gamma / beta;
Tp2(Tp2 >= - 0.5 * gamma / beta) = 0;

Tp = Tp1 + Tp2;

